{
  "editor.formatOnSave": true,
  "[javascript]": {
    "editor.formatOnSave": true
  },
  "[typescript]": {
    "editor.formatOnSave": true
  },
  "[typescriptreact]": {
    "editor.formatOnSave": true
  },
  "eslint.validate": ["javascript", "javascriptreact", "typescript", "typescriptreact"],
  "typescript.tsc.autoDetect": "off",
  "npm.autoDetect": "off",
  "typescript.tsdk": "node_modules/typescript/lib",
  "editor.codeActionsOnSave": {
    "source.fixAll.eslint": true
  },
  "gitlens.remotes": [
    {
      "domain": "gitlab.com",
      "type": "GitLab"
    }
  ],
  "task.allowAutomaticTasks": "on"
}
